# Accounts

All accounts related paths

## Get user accounts

 - [GET /users/{user_id}/accounts](https://docs.upvest.co/api/accounts/list_user_accounts.md): Lists the accounts of a user specified by ID.

## Get account by ID

 - [GET /accounts/{account_id}](https://docs.upvest.co/api/accounts/retrieve_account.md): Returns the account specified by its ID.

## Update account by ID

 - [PATCH /accounts/{account_id}](https://docs.upvest.co/api/accounts/update_account.md): Updates the account specified by its ID.

## Close account by ID

 - [DELETE /accounts/{account_id}](https://docs.upvest.co/api/accounts/account_closure.md): Initiates the closure request for an account specified by its ID.

## Get accounts

 - [GET /accounts](https://docs.upvest.co/api/accounts/list_accounts.md): Returns a list of all accounts.

## Create an account

 - [POST /accounts](https://docs.upvest.co/api/accounts/create_account.md): Creates an account.

## Get business accounts

 - [GET /businesses/{business_id}/accounts](https://docs.upvest.co/api/accounts/list_business_accounts.md): Lists the accounts of a business specified by ID.

## Account events

 - [POST Account events](https://docs.upvest.co/api/accounts/account_event.md): Account events

